Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4446)
@@ -6,6 +6,7 @@
 !use isotopes_mod, ONLY: 
 !#ifdef ISOTRAC
-!use isotrac_mod, ONLY: 
+!   USE isotrac_mod, ONLY: nzone
 !#endif
+USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, itZonIso, nzone
 implicit none
 save
@@ -93,5 +94,4 @@
         SUBROUTINE iso_verif_init()
         use ioipsl_getin_p_mod, ONLY : getin_p
-        !USE infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_O17, iso_O18, iso_HDO
         implicit none
@@ -196,5 +196,4 @@
 
         subroutine iso_verif_aberrant(R,err_msg)
-        !USE infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule, iso_HDO
         implicit none
@@ -227,5 +226,4 @@
 
         subroutine iso_verif_aberrant_encadre(R,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule, iso_HDO
         implicit none
@@ -263,5 +261,4 @@
 
         subroutine iso_verif_aberrant_choix(xt,q,qmin,deltaDmax,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -298,5 +295,4 @@
 
         function iso_verif_aberrant_nostop(R,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,iso_HDO
         implicit none
@@ -330,5 +326,4 @@
 
         function iso_verif_aberrant_enc_nostop(R,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,iso_HDO
         implicit none
@@ -366,5 +361,4 @@
      &            qmin,deltaDmax,err_msg)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -428,5 +422,4 @@
         function iso_verif_aberrant_enc_choix_nostop(xt,q,   &
      &            qmin,deltaDmax,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -1065,5 +1058,4 @@
         ! **********
         function deltaD(R)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_HDO
         implicit none
@@ -1082,5 +1074,4 @@
         ! **********
         function deltaO(R)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_O18
         implicit none
@@ -1098,5 +1089,4 @@
         ! **********
         function dexcess(RD,RO)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_HDO
         implicit none
@@ -1138,5 +1128,4 @@
          ! **********
         function o17excess(R17,R18)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_O17
         implicit none
@@ -1160,5 +1149,4 @@
      &           xt,q,err_msg,ni,n,m)
         
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: iso_eau
           implicit none
@@ -1212,5 +1200,4 @@
      &           xt,q,err_msg,ni,n)
 
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: iso_eau
         implicit none
@@ -1296,5 +1283,4 @@
         subroutine iso_verif_aberrant_vect2D( &
      &           xt,q,err_msg,ni,n,m)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1345,5 +1331,4 @@
      &           xt,q,err_msg,ni,n,m)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1399,5 +1384,4 @@
      &           xt,q,err_msg,ni,n,m)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1450,5 +1434,4 @@
      &           xt,q,err_msg,ni,n,m,deltaDmax)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1501,5 +1484,4 @@
      &           xt,q,err_msg,ni,n,m)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO,iso_O18
           implicit none
@@ -1766,5 +1748,4 @@
      &           xt,q,err_msg,ni,n,m,ib,ie)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1817,5 +1798,4 @@
      &           xt,q,err_msg,ni,n,m,ib,ie)
         
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: iso_eau
           implicit none
@@ -1863,5 +1843,4 @@
       function iso_verif_traceur_choix_nostop(x,err_msg, &
      &       errmax,errmaxrel,ridicule_trac,deltalimtrac)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -1915,5 +1894,4 @@
         function iso_verif_tracnps_choix_nostop(x,err_msg, &
      &       errmax,errmaxrel,ridicule_trac,deltalimtrac)
-        USE infotrac_phy, ONLY: ntraciso
         USE isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -1961,7 +1939,5 @@
 
         function iso_verif_tracpos_choix_nostop(x,err_msg,seuil)
-        use infotrac_phy, ONLY: ntraciso,niso
-        use isotrac_mod, only: index_iso,strtrac,index_zone
-        use isotopes_mod, only: striso
+        use isotopes_mod, only: isoName
         implicit none
 
@@ -1982,8 +1958,6 @@
 
        do ixt=niso+1,ntraciso
-          iiso=index_iso(ixt)
           if (iso_verif_positif_choix_nostop(x(ixt),seuil,err_msg// &
-     &           ', verif positif, iso'//striso(iiso) &
-     &           //strtrac(index_zone(ixt))).eq.1) then
+     &           ', verif positif, iso'//TRIM(isoName(ixt))).eq.1) then
             iso_verif_tracpos_choix_nostop=1
           endif
@@ -1994,7 +1968,5 @@
 
         function iso_verif_traceur_noNaN_nostop(x,err_msg)
-        use infotrac_phy, ONLY: ntraciso,niso
-        use isotrac_mod, only: index_iso
-        use isotopes_mod, only: striso
+        use isotopes_mod, only: isoName
         implicit none
 
@@ -2015,8 +1987,7 @@
 
         do ixt=niso+1,ntraciso
-          iiso=index_iso(ixt)
 !          write(*,*) 'iso_verif_traceurs 154: iiso,ixt=',iiso,ixt
           if (iso_verif_noNaN_nostop(x(ixt),err_msg// &
-     &           ', verif trac no NaN, iso'//striso(iiso)) &
+     &           ', verif trac no NaN, iso'//TRIM(isoName(ixt))) &
      &           .eq.1) then
             iso_verif_traceur_noNaN_nostop=1
@@ -2029,7 +2000,5 @@
      &           errmaxin,errmaxrelin)
 
-        use infotrac_phy, ONLY: index_trac,ntraciso,niso
-        use isotopes_mod, ONLY: ridicule,striso
-        use isotrac_mod, only: ntraceurs_zone
+        use isotopes_mod, ONLY: ridicule,isoName
         ! on vérifie juste bilan de masse
         implicit none
@@ -2053,11 +2022,12 @@
 
           xtractot=0.0
-          do izone=1,ntraceurs_zone  
-            ixt=index_trac(izone,iiso) 
+          do izone=1,nzone  
+            ixt=itZonIso(izone,iiso) 
             xtractot=xtractot+x(ixt)
-          enddo !do izone=1,ntraceurs_zone
+          enddo
 
           if (iso_verif_egalite_choix_nostop(xtractot,x(iiso), &
-     &        err_msg//', verif trac egalite, iso '//striso(iiso), &
+     &        err_msg//', verif trac egalite, iso '// &
+     &        TRIM(isoName(iiso)), &
      &        errmaxin,errmaxrelin).eq.1) then
             write(*,*) 'iso_verif_traceur 202: x=',x
@@ -2070,5 +2040,5 @@
      &           (abs(x(iiso)).gt.ridicule)) then
             write(*,*) err_msg,', verif masse traceurs, iso ', &
-     &          striso(iiso)
+     &          TRIM(isoName(iiso))
             write(*,*) 'iso_verif_traceur 209: x=',x
 !            iso_verif_tracm_choix_nostop=1
@@ -2082,7 +2052,6 @@
      &           ridicule_trac,deltalimtrac)
 
-        use infotrac_phy, ONLY: index_trac,ntraciso
         USE isotopes_mod, ONLY: iso_eau, iso_HDO
-        use isotrac_mod, only: strtrac,ntraceurs_zone
+        use isotrac_mod, only: strtrac
         ! on vérifie juste deltaD
         implicit none
@@ -2103,7 +2072,7 @@
 
         if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
-        do izone=1,ntraceurs_zone
-             ieau=index_trac(izone,iso_eau)
-             ixt=index_trac(izone,iso_HDO)
+        do izone=1,nzone
+             ieau=itZonIso(izone,iso_eau)
+             ixt=itZonIso(izone,iso_HDO)
 
              if (iso_verif_aberrant_choix_nostop(x(ixt),x(ieau), &
@@ -2118,5 +2087,5 @@
 !     :           //strtrac(izone))
 !             endif
-        enddo !do izone=1,ntraceurs_zone
+        enddo !do izone=1,nzone
        endif ! if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
 
@@ -2124,5 +2093,4 @@
 
 INTEGER FUNCTION iso_verif_tag17_q_deltaD_chns(x,err_msg) RESULT(res)
-  USE infotrac_phy, ONLY: index_trac, ntraciso
   USE isotopes_mod, ONLY: iso_HDO, iso_eau, ridicule
   USE isotrac_mod,  ONLY: nzone_temp, option_traceurs
@@ -2135,6 +2103,6 @@
   !--- Check whether * deltaD(highest tagging layer) < 200 permil
   !                  * q <
-  ieau=index_trac(nzone_temp,iso_eau)
-  ixt=index_trac(nzone_temp,iso_HDO)
+  ieau=itZonIso(nzone_temp,iso_eau)
+  ixt=itZonIso(nzone_temp,iso_HDO)
   IF(x(ieau)>ridicule) THEN
     IF(iso_verif_positif_nostop(-200.0-deltaD(x(ixt)/x(ieau)), err_msg//': deltaDt05 trop fort')==1) THEN
@@ -2147,5 +2115,5 @@
   !--- Check whether q is small ; then, qt01 < 10%
   IF(x(iso_eau)<2.0e-3) THEN
-    ieau1= index_trac(1,iso_eau)
+    ieau1= itZonIso(1,iso_eau)
     IF(iso_verif_positif_nostop(0.1-(x(ieau1)/x(iso_eau)),err_msg//': qt01 trop abondant')==1) THEN
       res=1; write(*,*) 'x=',x
@@ -2156,5 +2124,4 @@
 SUBROUTINE iso_verif_trac17_q_deltaD(x,err_msg)
   USE isotrac_mod,  ONLY: nzone_temp, option_traceurs
-  USE infotrac_phy, ONLY: ntraciso
   IMPLICIT NONE
   REAL,             INTENT(IN) :: x(ntraciso)
@@ -2167,5 +2134,4 @@
 
       subroutine iso_verif_traceur(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
         implicit none
@@ -2195,5 +2161,4 @@
       subroutine iso_verif_traceur_retourne3D(x,n1,n2,n3, &
      &           i1,i2,i3,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
 
@@ -2228,5 +2193,4 @@
         subroutine iso_verif_traceur_retourne4D(x,n1,n2,n3,n4, &
      &           i1,i2,i3,i4,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
 
@@ -2262,5 +2226,4 @@
       subroutine iso_verif_traceur_retourne2D(x,n1,n2, &
      &           i1,i2,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
         implicit none
@@ -2293,5 +2256,4 @@
 
         subroutine iso_verif_traceur_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         USE isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -2329,5 +2291,4 @@
 
         subroutine iso_verif_tracnps_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         USE isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -2363,5 +2324,4 @@
 
         subroutine iso_verif_traceur_noNaN_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso,niso
         implicit none
        
@@ -2407,7 +2367,5 @@
         subroutine iso_verif_trac_masse_vect(x,n,m,err_msg, &
      &            errmax,errmaxrel)
-        USE infotrac_phy, ONLY: index_trac,ntraciso,niso
-        use isotopes_mod, only: striso
-        use isotrac_mod, only: ntraceurs_zone
+        use isotopes_mod, only: isoName
         implicit none
        
@@ -2430,8 +2388,8 @@
           xtractot(i,j)=0.0
           xiiso(i,j)=x(iiso,i,j)
-          do izone=1,ntraceurs_zone  
-            ixt=index_trac(izone,iiso) 
+          do izone=1,nzone
+            ixt=itZonIso(izone,iiso) 
             xtractot(i,j)=xtractot(i,j)+x(ixt,i,j)            
-          enddo !do izone=1,ntraceurs_zone
+          enddo !do izone=1,nzone
          enddo !do i=1,n
         enddo !do j=1,m
@@ -2440,5 +2398,6 @@
         call iso_verif_egalite_std_vect( &
      &           xtractot,xiiso, &
-     &           err_msg//', verif trac egalite, iso '//striso(iiso), &
+     &           err_msg//', verif trac egalite, iso ' &
+     &           //TRIM(isoName(iiso)), &
      &           n,m,errmax,errmaxrel)
         enddo !do iiso=1,niso
@@ -2447,7 +2406,6 @@
 
         subroutine iso_verif_tracdd_vect(x,n,m,err_msg) 
-        use infotrac_phy, only: index_trac,ntraciso,niso
         use isotopes_mod, only: iso_HDO,iso_eau
-        use isotrac_mod, only: strtrac,ntraceurs_zone
+        use isotrac_mod, only: strtrac
         implicit none
        
@@ -2464,8 +2422,8 @@
 
        if (iso_HDO.gt.0) then
-        do izone=1,ntraceurs_zone
-          ieau=index_trac(izone,iso_eau)
+        do izone=1,nzone
+          ieau=itZonIso(izone,iso_eau)
           do iiso=1,niso
-           ixt=index_trac(izone,iiso)
+           ixt=itZonIso(izone,iiso)
            do j=1,m
             do i=1,n
@@ -2484,5 +2442,5 @@
      &           xiiso,xeau,err_msg//strtrac(izone),niso,n,m, &
      &           deltalimtrac)
-         enddo !do izone=1,ntraceurs_zone
+         enddo !do izone=1,nzone
         endif !if (iso_HDO.gt.0) then
 
@@ -2490,5 +2448,4 @@
 
         subroutine iso_verif_tracpos_vect(x,n,m,err_msg,seuil) 
-        USE infotrac_phy, ONLY: ntraciso,niso
         implicit none
 
@@ -2532,5 +2489,4 @@
 
         subroutine iso_verif_tracnps(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
 
@@ -2559,5 +2515,4 @@
 
         subroutine iso_verif_tracpos_choix(x,err_msg,seuil)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! vérifier des choses sur les traceurs
@@ -2585,5 +2540,4 @@
         subroutine iso_verif_traceur_choix(x,err_msg, &
      &       errmax,errmaxrel,ridicule_trac_loc,deltalimtrac)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! vérifier des choses sur les traceurs
@@ -2608,5 +2562,4 @@
 
         function iso_verif_traceur_nostop(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
         !use isotopes_verif, only: errmax,errmaxrel,deltalimtrac
@@ -2637,5 +2590,4 @@
 
       subroutine iso_verif_traceur_justmass(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! on vérifie que noNaN et masse
@@ -2666,5 +2618,4 @@
 
         function iso_verif_traceur_jm_nostop(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! on vérifie que noNaN et masse
@@ -2699,5 +2650,4 @@
 
         subroutine iso_verif_tag17_q_deltaD_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: index_trac,ntraciso
         USE isotopes_mod, ONLY: tnat,iso_eau, ridicule,iso_HDO
         use isotrac_mod, only: option_traceurs,nzone_temp
@@ -2719,7 +2669,7 @@
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
-        ieau=index_trac(nzone_temp,iso_eau)
-        ixt=index_trac(nzone_temp,iso_HDO)
-        ieau1=index_trac(1,iso_eau)
+        ieau=itZonIso(nzone_temp,iso_eau)
+        ixt=itZonIso(nzone_temp,iso_HDO)
+        ieau1=itZonIso(1,iso_eau)
         do i=1,n
          do k=1,m
@@ -2759,5 +2709,4 @@
 
         subroutine iso_verif_tag17_q_deltaD_vect_ret3D(x,n,m,nq,err_msg)
-        USE infotrac_phy, ONLY: index_trac,ntraciso
         USE isotopes_mod, ONLY: tnat,iso_eau,iso_HDO,ridicule
         use isotrac_mod, only: option_traceurs,nzone_temp
@@ -2779,7 +2728,7 @@
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
-        ieau=index_trac(nzone_temp,iso_eau)
-        ixt=index_trac(nzone_temp,iso_HDO)
-        ieau1=index_trac(1,iso_eau)
+        ieau=itZonIso(nzone_temp,iso_eau)
+        ixt=itZonIso(nzone_temp,iso_HDO)
+        ieau1=itZonIso(1,iso_eau)
         do iq=1,nq
         do i=1,n
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/isotrac_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/isotrac_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/isotrac_mod.F90	(revision 4446)
@@ -1,104 +1,27 @@
 #ifdef ISO
 #ifdef ISOTRAC
-! $Id: $
 
 MODULE isotrac_mod
-use infotrac_phy, ONLY: niso,ntraciso,ntraceurs_zone
-use isotopes_mod, only: ridicule
-
-IMPLICIT NONE
-SAVE
-
-! contient toutes les variables traceurs isotopiques + les routines specifiquement
-! traceurs isotopiques
-
-      real ridicule_trac
-      parameter (ridicule_trac=ridicule*1e4)
-
-integer, save ::  option_traceurs 
-integer, save ::  ntraceurs_zone_opt ! ntraceurs_zone propre à l'option
-! on vérifie que ça correspond bien à ntraceurs_zone d'infotrac
-integer, save ::  ntraceurs_zoneOR
-!$OMP THREADPRIVATE(option_traceurs,ntraceurs_zone_opt,ntraceurs_zoneOR)
-integer, save ::  initialisation_isotrac
-                ! 1 pour idéalisé
-                ! 0 pour lecture dans fichier
-!$OMP THREADPRIVATE(initialisation_isotrac)
-
-! variables spécifiques aux différentes options, mais necessaires au
-! calcul du nombre de zones de traceurs
-! si option=3
-integer, save :: use_bassin_atlantic
-!$OMP THREADPRIVATE(use_bassin_atlantic)
-integer, save :: use_bassin_medit
-!$OMP THREADPRIVATE(use_bassin_medit)
-integer, save :: use_bassin_indian
-!$OMP THREADPRIVATE(use_bassin_indian)
-integer, save :: use_bassin_austral
-!$OMP THREADPRIVATE(use_bassin_austral)
-integer, save :: use_bassin_pacific
-!$OMP THREADPRIVATE(use_bassin_pacific)
-integer, save :: use_bassin_merarabie
-!$OMP THREADPRIVATE(use_bassin_merarabie)
-integer, save :: use_bassin_golfebengale
-!$OMP THREADPRIVATE(use_bassin_golfebengale)
-integer, save :: use_bassin_indiansud
-!$OMP THREADPRIVATE(use_bassin_indiansud)
-integer, save :: use_bassin_tropics
-!$OMP THREADPRIVATE(use_bassin_tropics)
-integer, save :: use_bassin_midlats
-!$OMP THREADPRIVATE(use_bassin_midlats)
-integer, save :: use_bassin_hauteslats
-!$OMP THREADPRIVATE(use_bassin_hauteslats)
-integer, save :: bassin_atlantic
-!$OMP THREADPRIVATE(bassin_atlantic)
-integer, save :: bassin_medit
-!$OMP THREADPRIVATE(bassin_medit)
-integer, save :: bassin_indian
-!$OMP THREADPRIVATE(bassin_indian)
-integer, save :: bassin_austral
-!$OMP THREADPRIVATE(bassin_austral)
-integer, save :: bassin_pacific
-!$OMP THREADPRIVATE(bassin_pacific)
-integer, save :: bassin_merarabie
-!$OMP THREADPRIVATE(bassin_merarabie)
-integer, save :: bassin_golfebengale
-!$OMP THREADPRIVATE(bassin_golfebengale)
-integer, save :: bassin_indiansud
-!$OMP THREADPRIVATE(bassin_indiansud)
-integer, save :: bassin_tropics
-!$OMP THREADPRIVATE(bassin_tropics)
-integer, save :: bassin_midlats
-!$OMP THREADPRIVATE(bassin_midlats)
-integer, save :: bassin_hauteslats
-!$OMP THREADPRIVATE(bassin_hauteslats)
-! si option=4
-integer nzone_temp
-parameter (nzone_temp=1)
-real, save :: zone_temp1,zone_tempf,zone_tempa  
-!$OMP THREADPRIVATE(zone_temp1,zone_tempf,zone_tempa)
-! si option 14
-integer nzone_lat
-parameter (nzone_lat=4)
-integer nzone_pres
-parameter (nzone_pres=3)
-real, save :: zone_pres1,zone_presf,zone_presa 
-!$OMP THREADPRIVATE(zone_pres1,zone_presf,zone_presa) 
-real, save :: dlattag,lattag_min
-!$OMP THREADPRIVATE(dlattag,lattag_min)
-
-
-! option 1: on trace evap ocean et continent séparement  
+  USE infotrac_phy,      ONLY: niso, ntiso, nzone
+  USE readTracFiles_mod, ONLY: delPhase
+  USE isotopes_mod,      ONLY: ridicule, get_in
+
+  IMPLICIT NONE
+  SAVE
+
+!=== CONTENT: ALL THE ISOTOPIC TRACERS RELATED VARIABLES ===
+!
+! option 1: on trace evap ocean et continent separement  
 ! option 2: on trace evap ocean, continent et evap precip
-! option 3: on trace evap différents bassins océaniques 
-!       + continents + résidu
-!       attention, choisir dans ce cas les bassins océaniques
+! option 3: on trace evap differents bassins oceaniques 
+!       + continents + residu
+!       attention, choisir dans ce cas les bassins oceaniques
 !       dans iso_traceurs_opt3F90.h 
-! option 4: tracage par température minimale
-!       dans ce cas, on définit des bins dans iso_traceurs_opt4.h
-! option 5: pour AMMA: on taggue résidu/AEJ/flux mousson/Harmattan
+! option 4: tracage par temperature minimale
+!       dans ce cas, on definit des bins dans iso_traceurs_opt4.h
+! option 5: pour AMMA: on taggue residu/AEJ/flux mousson/Harmattan
 ! option 6: taggage des ddfts
-! option 7: pour Sandrine: taggage de la vapeur à 700hPa pour omega500<-20 TODO
-! option 8: pour Sandrine: taggage de la vapeur entre 950 et 800hPa, omega de 0 à 25 hPa et de l'évaoration en omega<-20. TODO
+! option 7: pour Sandrine: taggage de la vapeur a 700hPa pour omega500<-20 TODO
+! option 8: pour Sandrine: taggage de la vapeur entre 950 et 800hPa, omega de 0 a 25 hPa et de l'evaoration en omega<-20. TODO
 ! option 9: taggage du condensat et de la revap precip
 ! option 10: taggage evap oce, transpiration et evaporation
